%global sname pyghmi

Name:           python-%{sname}
Version:        1.0.22
Release:        8%{?dist}.1
Provides:        python3-pyghmi = %{version}-%{release}
Summary:        Python General Hardware Management Initiative (IPMI and others)

License:        ASL 2.0
URL:            https://github.com/stackforge/pyghmi
Source0:        http://tarballs.openstack.org/%{sname}/%{sname}-%{version}.tar.gz
BuildArch:      noarch
Patch0000:      0001-Have-BMC-side-reply-to-get-cipher-suites.patch

%global _description\
This is a pure python implementation of the IPMI protocol.\

%description %_description

%package -n python3-%{sname}
Summary:        Python General Hardware Management Initiative (IPMI and others)
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires:       python3-crypto >= 2.6

%description -n python3-%{sname} %_description

%prep
%setup -q -n %{sname}-%{version}
%patch0000 -p1

# Remove bundled egg-info
rm -rf %{sname}.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}


%files -n python3-%{sname}
%doc README LICENSE
%{python3_sitelib}/pyghmi
%{python3_sitelib}/*.egg-info
%{_bindir}/pyghmicons
%{_bindir}/pyghmiutil
%{_bindir}/virshbmc


%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com> - 1.0.22-8.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.0.22-8
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.0.22-7
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 1.0.22-6
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.0.22-5
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.0.22-4
- rebuilt

* Tue Mar 31 2020 Lon Hohberger <lon@redhat.com> - 1.0.22-3
- Backport cipher fixes from 1.5.13 to fix ipmitool interaction issue

* Fri Jan 18 2019 Shreshtha Joshi <shrjoshi@redhat.com> - 1.0.22-2
- RHEL8-isms 

* Thu Oct  5 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 1.0.22-1
- Upstream 1.0.22

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.12-4
- Python 2 binary package renamed to python2-pyghmi
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Nov 07 2016 Lucas Alvares Gomes <lucasagomes@gmail.com> - 1.0.12-1
- Rebased to 1.0.12

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Sep 25 2015 Lucas Alvares Gomes <lucasagomes@gmail.com> - 0.8.0-1
- Rebased to 0.8.0

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Lucas Alvares Gomes <lucasagomes@gmail.com> - 0.5.9-1
- Initial package.
